%% Import data from text file.
% Script for importing data from the following text file:
%
%    D:\Academics\sem  6 2012\CS 365\project\itc 2000_2013.csv
%
% To extend the code to different selected data or a different text file,
% generate a function instead of a script.

% Auto-generated by MATLAB on 2013/04/17 23:28:13

%% Initialize variables.
filename = '\itc 2000_2013.csv';
delimiter = ',';
startRow = 2;

%% Format string for each line of text:
%   column1: text (%s)
%	column2: double (%f)
%   column3: double (%f)
%	column4: double (%f)
%   column5: double (%f)
%	column6: double (%f)
%   column7: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%s%f%f%f%f%f%f%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, 'Delimiter', delimiter, 'HeaderLines' ,startRow-1, 'ReturnOnError', false);

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
Date = dataArray{:, 1};
Open = dataArray{:, 2};
High = dataArray{:, 3};
Low = dataArray{:, 4};
Close = dataArray{:, 5};
Volume = dataArray{:, 6};
AdjClose = dataArray{:, 7};

%% Clear temporary variables
clearvars filename delimiter startRow formatSpec fileID dataArray ans;